TechDraw Groupe de projections

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw ProjectionGroup and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎русский
Arrow-left.svg Page précédente : TechDraw ActiveView.svg Vue active
Page suivante : Vue en coupe TechDraw SectionView.svg Arrow-right.svg

TechDraw ProjectionGroup.svg TechDraw Groupe de projections

Emplacement du menu
TechDraw → Insérer un groupe de projections
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
TechDraw Vue active, TechDraw Vue de coupe

Description

L'outil TechDraw ProjectionGroup.svg Groupe de projections crée une projection multi-vue d'un ou plusieurs objets 3D. Les vues isométriques des 4 coins de devant peuvent également être incluses.

Si vous ne voulez produire qu'une seule vue, l'utilisation de Groupe de projections ne présente aucun avantage. Vous devez alors utiliser Insérer une vue dans la page à la place. Si vous ne souhaitez pas utiliser les traditionnelles projection premier-angle / projection troisième-angle, vous devez utiliser plusieurs Vues (Insérer une vue dans la page) au lieu de Groupe de projections.

TechDraw ProjGroup example.png

Trois vues orthogonales et une vue isométrique d'un objet solide

Utilisation

  1. Vous pouvez faire pivoter la Vue 3D. La direction de la caméra dans la Vue 3D détermine la valeur initiale de la Direction primaire du groupe de projection (la propriété DonnéesDirection de la vue centrale).
  2. Sélectionnez un ou plusieurs objets dans la Vue 3D ou de la Vue en arborescence.
  3. S'il y a plusieurs pages de dessin dans le document : ajoutez éventuellement la page souhaitée à la sélection en la sélectionnant dans la Vue en arborescence. Ceci n'est pas optionnel pour Version 0.19 et précédentes.
  4. Il existe plusieurs façons d'invoquer l'outil :
  5. Si le document comporte plusieurs pages de dessin et que vous n'avez pas encore sélectionné de page, la boîte de dialogue Sélecteur de page s'ouvre : Introduit dans la version 0.20
    1. Sélectionnez la page souhaitée.
    2. Appuyez sur le bouton OK.
  6. Le panneau de tâches Groupe de projection s'ouvre.
  7. Sélectionnez les vues qui doivent apparaître dans le groupe de projection, ainsi que l'échelle et les autres paramètres du groupe de projection.
  8. Appuyez sur le bouton OK.
  9. Vous pouvez déplacer le Groupe de Projection en faisant glisser sa vue centrale.
  10. Vous pouvez également déplacer les autres vues du groupe de projection par rapport à la vue centrale en les faisant glisser individuellement.

TaskProjGroup.png

Le Panneau des tâches Groupe de projections. Le champ Direction primaire indique la direction en cours de la vue.

Propriétés

  • DonnéesAnchor: La vue de référence (centrale) dans le groupe. Normalement, la vue de face.
  • DonnéesProjectionType: "Premier Angle (Premier dièdre)" ou "Troisième Angle (Troisième dièdre)".
  • DonnéesAutoDistribute: Si la valeur est sur "True", espace les vues individuelles automatiquement. Utilisez "False" pour positionner les vues manuellement.
  • DonnéesspacingX: Espace horizontal entre les vues si le positionnement automatique est demandé. Notez que l'échelle et la taille des autres vues du groupe influencent également l'espacement.
  • DonnéesspacingY: Espace vertical entre les vues si le positionnement automatique est demandé.

Groupe de projections dans son ensemble hérite de X, Y, ScaleType, Scale (Échelle) et Rotation à partir de la vue de base.

Les vues individuelles au sein du groupe héritent de toutes les propriétés de vue de la pièce, mais l'objet ProjectionGroup contrôle l'échelle de toutes ses vues membres.

La propriété RotationVector des différentes vues du groupe est obsolète à partir de v0.19. Utilisez XDirection à la place.

Notez que la boîte centrale affiche la direction de projection en cours de la vue principale. Elle ne peut pas être utilisée pour changer de direction.

Script

Voir aussi: TechDraw API et Débuter avec les scripts.

L'outil NewProjGroup peut être utilisé dans des macro et à partir de la console Python. Un script complet est disponible dans la distribution source sous "source-dir/src/Mod/TechDraw/TDTest/DProjGroupTest.py".

#make a page
    print("making a page")
    page = FreeCAD.ActiveDocument.addObject('TechDraw::DrawPage','Page')
    FreeCAD.ActiveDocument.addObject('TechDraw::DrawSVGTemplate','Template')
    FreeCAD.ActiveDocument.Template.Template = templateFileSpec
    FreeCAD.ActiveDocument.Page.Template = FreeCAD.ActiveDocument.Template

    #make projection group
    group = FreeCAD.ActiveDocument.addObject('TechDraw::DrawProjGroup','ProjGroup')
    rc = page.addView(group)
    group.Source = [fusion]

    #add Front(Anchor) view
    frontView = group.addProjection("Front")               ##need an Anchor

    #update group
    group.Anchor.Direction = FreeCAD.Vector(0,0,1)
    group.Anchor.RotationVector = FreeCAD.Vector(1,0,0)

    #add more projections
    leftView = group.addProjection("Left")
    topView = group.addProjection("Top")
    rightView = group.addProjection("Right")
    rearView = group.addProjection("Rear")
    BottomView = group.addProjection("Bottom")

    #remove a view from projection group
    iv = group.removeProjection("Left")

Remarque de programmation: le groupe de projection doit toujours être ajouté à la page (par exemple, page.addView(group) avant d'ajouter des projections au groupe. Cela permet au groupe de projection d'utiliser les valeurs de paramètre par défaut dérivées de la page parente.

Arrow-left.svg Page précédente : TechDraw ActiveView.svg Vue active
Page suivante : Vue en coupe TechDraw SectionView.svg Arrow-right.svg